drop table if exists battery_level_log CASCADE ;
drop table if exists drone CASCADE ;
drop table if exists load CASCADE ;
drop table if exists load_medication CASCADE; 
drop table if exists medication CASCADE ;
drop sequence if exists hibernate_sequence;
create sequence hibernate_sequence start with 1 increment by 1;
create table battery_level_log (id integer not null, battery_level integer not null, created timestamp not null, drone_id integer, primary key (id));
create table drone (id integer generated by default as identity not null, battery_capacity integer not null, created timestamp, drone_model varchar(255) not null, drone_state varchar(255) not null, serial_number varchar(100) not null, weight_limit decimal(5,2) not null, primary key (id));
create table load (id integer generated by default as identity not null, created timestamp, drone_id integer, primary key (id));
create table load_medication (load_id integer not null, medication_id integer not null);
-- create table medication (id integer not null, code varchar(255) not null, created timestamp, image_url varchar(255) not null, name varchar(255) not null, weight decimal(19,2) not null, primary key (id));
create table medication (id integer generated by default as identity not null, code varchar(255) not null, created timestamp, image blob, name varchar(255) not null, weight decimal(19,2) not null, primary key (id));
alter table drone add constraint UK_dec40dj9sujacyy3n8t5l80ry unique (serial_number);
alter table medication add constraint UK_pex4ncvrjs43bnm3oucqghy42 unique (code);
alter table battery_level_log add constraint FK442g4o46f4va201crgedsurfo foreign key (drone_id) references drone;
alter table load add constraint FK8e61bb9jj7ovkn3w7g8y4oa5u foreign key (drone_id) references drone;
alter table load_medication add constraint FK83wukohwdf9249jy0y72c8eja foreign key (medication_id) references medication;
alter table load_medication add constraint FK1mp5rbpn46imaonhlu0hmg5l5 foreign key (load_id) references load;